AlmaLinux 2263 Published by

A httpd security and bug fix update has been released for AlmaLinux 9.



ALSA-2023:0970 Moderate: httpd security and bug fix update


Type:
security

Severity:
moderate

Release date:
2023-02-28

Description
Security Fix(es):
* httpd: mod_dav: out-of-bounds read/write of zero byte (CVE-2006-20001)
* httpd: mod_proxy_ajp: Possible request smuggling (CVE-2022-36760)
* httpd: mod_proxy: HTTP response splitting (CVE-2022-37436)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Bug Fix(es):
* httpd-init fails to create localhost.crt, localhost.key due to "sscg" default now creates a /dhparams.pem and is not idempotent if the file /dhparams.pem already exists. (BZ#2165975)

References:
RHSA-2023:0970
CVE-2006-20001
CVE-2022-36760
CVE-2022-37436
ALSA-2023:0970

Updates packages:
httpd-tools-2.4.53-7.el9_1.1.aarch64.rpm
httpd-devel-2.4.53-7.el9_1.1.aarch64.rpm
httpd-filesystem-2.4.53-7.el9_1.1.noarch.rpm
httpd-core-2.4.53-7.el9_1.1.aarch64.rpm
httpd-2.4.53-7.el9_1.1.aarch64.rpm
mod_session-2.4.53-7.el9_1.1.aarch64.rpm
mod_ldap-2.4.53-7.el9_1.1.aarch64.rpm
mod_ssl-2.4.53-7.el9_1.1.aarch64.rpm
mod_lua-2.4.53-7.el9_1.1.aarch64.rpm
httpd-manual-2.4.53-7.el9_1.1.noarch.rpm
mod_proxy_html-2.4.53-7.el9_1.1.aarch64.rpm
mod_session-2.4.53-7.el9_1.1.s390x.rpm
mod_lua-2.4.53-7.el9_1.1.s390x.rpm
httpd-devel-2.4.53-7.el9_1.1.s390x.rpm
httpd-2.4.53-7.el9_1.1.s390x.rpm
mod_ssl-2.4.53-7.el9_1.1.s390x.rpm
mod_proxy_html-2.4.53-7.el9_1.1.s390x.rpm
httpd-core-2.4.53-7.el9_1.1.s390x.rpm
mod_ldap-2.4.53-7.el9_1.1.s390x.rpm
httpd-tools-2.4.53-7.el9_1.1.s390x.rpm
mod_proxy_html-2.4.53-7.el9_1.1.ppc64le.rpm
mod_ssl-2.4.53-7.el9_1.1.ppc64le.rpm
mod_lua-2.4.53-7.el9_1.1.ppc64le.rpm
httpd-tools-2.4.53-7.el9_1.1.ppc64le.rpm
httpd-2.4.53-7.el9_1.1.ppc64le.rpm
mod_session-2.4.53-7.el9_1.1.ppc64le.rpm
httpd-devel-2.4.53-7.el9_1.1.ppc64le.rpm
httpd-core-2.4.53-7.el9_1.1.ppc64le.rpm
mod_ldap-2.4.53-7.el9_1.1.ppc64le.rpm
mod_session-2.4.53-7.el9_1.1.x86_64.rpm
mod_proxy_html-2.4.53-7.el9_1.1.x86_64.rpm
mod_ldap-2.4.53-7.el9_1.1.x86_64.rpm
httpd-core-2.4.53-7.el9_1.1.x86_64.rpm
mod_lua-2.4.53-7.el9_1.1.x86_64.rpm
httpd-tools-2.4.53-7.el9_1.1.x86_64.rpm
httpd-2.4.53-7.el9_1.1.x86_64.rpm
httpd-devel-2.4.53-7.el9_1.1.x86_64.rpm
mod_ssl-2.4.53-7.el9_1.1.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:0970 Moderate: httpd security and bug fix update